﻿
using System;

using Foundation;
using UIKit;
using Syncfusion.SfDataGrid;
using CoreGraphics;

namespace Sample
{
	public partial class SampleViewController : UIViewController
	{
		#region Field

		SfDataGrid sfGrid;
		ViewModel viewModel;
		GridTextColumn productNameColumn;
		GridTextColumn priceColumn;

		#endregion

		public SampleViewController () : base ("SampleViewController", null)
		{
			
			sfGrid = new SfDataGrid();
			sfGrid.BackgroundColor = UIColor.Blue;
			sfGrid.AutoGenerateColumns = false;
			viewModel = new ViewModel ();
			sfGrid.ItemsSource = viewModel.ProductDetails;
			productNameColumn= new GridTextColumn ();
			productNameColumn.Width = this.View.Frame.Width * 0.75;
			productNameColumn.MappingName = "ProductName"; 
			productNameColumn.HeaderTextAlignment = UITextAlignment.Left;
			productNameColumn.TextAlignment = UITextAlignment.Left;
			sfGrid.Columns.Add (productNameColumn);

			priceColumn = new GridTextColumn ();
			priceColumn.Width = this.View.Frame.Width * 0.25;
			priceColumn.MappingName = "Price";
			priceColumn.HeaderTextAlignment = UITextAlignment.Right;
			priceColumn.TextAlignment = UITextAlignment.Right;
			sfGrid.Columns.Add (priceColumn);
		}

		public override void ViewDidLayoutSubviews ()
		{
			base.ViewDidLayoutSubviews ();
			productNameColumn.Width = this.View.Frame.Width * 0.75;
			priceColumn.Width = this.View.Frame.Width * 0.25;
			this.sfGrid.Frame = new CGRect (0, 20, View.Frame.Width, View.Frame.Height - 20);
		}

		public override void ViewDidLoad ()
		{
			base.ViewDidLoad ();
			View.AddSubview (sfGrid);
		}
	}
}

