using Foundation;
using System;
using System.CodeDom.Compiler;
using UIKit;
using Syncfusion.SfDataGrid;
using CoreGraphics;

namespace Sample
{
	partial class UISaldoBancarioDetalhesViewController : UIViewController
	{
        SfDataGrid sfGrid;
        GridTextColumn vColunaGrid_Conta;
        GridTextColumn vColunaGrid_Saldo;
		DataGridSaldoBancarioUIView DataGridSaldoBancarioUIView;

		public UISaldoBancarioDetalhesViewController() :base ("SampleViewController", null)
		{
			
			DataGridSaldoBancarioUIView = new DataGridSaldoBancarioUIView ();
			sfGrid = new SfDataGrid ();

			//>>>> DataGridSaldoBancarioUIView is a simple view inside the default view, that will host the sfDataGrid

			sfGrid.AutoGenerateColumns = false;
			vColunaGrid_Conta = new GridTextColumn ();
			vColunaGrid_Conta.MappingName = "DetalhesSaldoBancario_Conta";
			vColunaGrid_Conta.HeaderText = "Conta";
			vColunaGrid_Conta.TextAlignment = UITextAlignment.Left;
			vColunaGrid_Conta.Width = DataGridSaldoBancarioUIView.Frame.Width * 0.75;
			sfGrid.Columns.Add (vColunaGrid_Conta);

			vColunaGrid_Saldo = new GridTextColumn ();
			vColunaGrid_Saldo.MappingName = "DetalhesSaldoBancario_Saldo";
			vColunaGrid_Saldo.HeaderText = "Saldo";
			vColunaGrid_Saldo.TextAlignment = UITextAlignment.Right;
			vColunaGrid_Saldo.Width = DataGridSaldoBancarioUIView.Frame.Width * 0.25;
			sfGrid.Columns.Add (vColunaGrid_Saldo);

			sfGrid.ItemsSource = new DetalheSaldoBancarioRepositorio ().OrderDetails;            
            
			sfGrid.HeaderRowHeight = 30;
			sfGrid.RowHeight = 28;            
            
			sfGrid.QueryRowHeight += QueryRowHeight;            

			sfGrid.BackgroundColor = UIColor.Blue;
            sfGrid.GridViewCreated += GridViewCreated;
		}

        private void GridViewCreated(object sender, GridViewCreatedEvent e)
        {
            DataGridStyle vEstiloDoDataGrid = new DataGridStyle();
            vEstiloDoDataGrid.HeaderBackground = UIColor.Black;
            vEstiloDoDataGrid.HeaderForeground = UIColor.White;
            vEstiloDoDataGrid.CellForeground = UIColor.White;
            vEstiloDoDataGrid.CellBackground = UIColor.DarkGray;
            sfGrid.GridStyle = vEstiloDoDataGrid;	
        }

        void QueryRowHeight(object sender, QueryRowHeightEventArgs e)
        {
            if (e.RowIndex > 0)
            {                 
				double height = sfGrid.GetRowHeight (e.RowIndex);               
                if (height > 60)
                {
                    e.Height = height - 30;
                    e.Handled = true;
                }
            }
        }

        public override void ViewDidLayoutSubviews ()
		{
			base.ViewDidLayoutSubviews ();
            DataGridSaldoBancarioUIView.Frame = new CGRect(0, 20, this.View.Frame.Width, this.View.Frame.Height);
            sfGrid.Frame = new CGRect(0, 20, this.DataGridSaldoBancarioUIView.Frame.Width, this.DataGridSaldoBancarioUIView.Frame.Height);    
			vColunaGrid_Conta.Width = DataGridSaldoBancarioUIView.Frame.Width * 0.65;
			vColunaGrid_Saldo.Width = DataGridSaldoBancarioUIView.Frame.Width * 0.35;
		}
   
        public override void ViewDidLoad()
        {
            base.ViewDidLoad();
			DataGridSaldoBancarioUIView.AddSubview (this.sfGrid);
			View.AddSubview(DataGridSaldoBancarioUIView);
        }
	}
}
